Ask Your Question
0

unable to update to 6.3

asked 2019-08-14 20:01:31 +0200

WLawr gravatar image

Hello and thank you in advance for your help,

I understand that the latest version of LibreOffice is 6.3. I have version 6.2 and would like to update to the most recent version (6.3).

My OS is Windows 7 64bit.

Thank you. WLawr

edit retag flag offensive close merge delete

Comments

Additional information: When I attempt to update, I receive the message that I already have the current version. My attempt to update is made by "checking for updates" in the HELP menu. WLawr

WLawr gravatar imageWLawr ( 2019-08-14 20:17:42 +0200 )edit

And how exactly do you try to update?

gabix gravatar imagegabix ( 2019-08-14 20:42:26 +0200 )edit

1 Answer

Sort by » oldest newest most voted
0

answered 2019-08-14 21:01:50 +0200

Opaque gravatar image

updated 2019-08-14 21:07:07 +0200

Hello,

do not use Help -> Check for Updates(never saw this dialog showing anything else than LibreOffice x.y is up to dateand there are some discussions that this functionality is under developement). Download from libreoffice.org and manually install.

edit flag offensive delete link more

Comments

@WLawr Please be aware that the current v6.3.0 is for early adopters and almost certainly has various bugs. The slightly older v6.2.6 is intended for corporate users and others who require stability and reliability. Take your choice, wisely.

ve3oat gravatar imageve3oat ( 2019-08-15 01:35:19 +0200 )edit

never saw this dialog showing anything else than LibreOffice x.y is up to date

That just means that your LO is always up-to-date ;-)

It works; it would never offer an upgrade from a Still branch to a Fresh branch. It only offers an upgrade after a new version has been published for a couple of weeks (to allow for some initial testing of a just-released package before being rolled out to 100% of systems, and to decrease server load a bit). The development related to the functionality is about auto-update, i.e. removal of need to download the full installer, and run it from outside of the application.

Mike Kaganski gravatar imageMike Kaganski ( 2019-09-16 09:23:31 +0200 )edit
Login/Signup to Answer

Question Tools

1 follower

Stats

Asked: 2019-08-14 20:01:31 +0200

Seen: 43 times

Last updated: Aug 14